- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aix_devices – Manages AIX devices

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- This module discovers, defines, removes and modifies attributes of AIX devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
attributes dictionary |  | A list of device attributes.
device string / required |  | The name of the device. `all` is valid to rescan `available` all devices (AIX cfgmgr command).
force boolean | Choices: no ← yes | Forces action.
recursive boolean | Choices: no ← yes | Removes or defines a device and children devices.
state string | Choices: available ← defined removed | Controls the device state. `available` (alias `present`) rescan a specific device or all devices (when `device` is not specified). `removed` (alias `absent` removes a device. `defined` changes device to Defined state.

## Examples

    - name: Scan new devices
      aix_devices:
        device: all
        state: available

    - name: Scan new virtual devices (vio0)
      aix_devices:
        device: vio0
        state: available

    - name: Removing IP alias to en0
      aix_devices:
        device: en0
        attributes:
          delalias4: 10.0.0.100,255.255.255.0

    - name: Removes ent2
      aix_devices:
        device: ent2
        state: removed

    - name: Put device en2 in Defined
      aix_devices:
        device: en2
        state: defined

    - name: Removes ent4 (inexistent).
      aix_devices:
        device: ent4
        state: removed

    - name: Put device en4 in Defined (inexistent)
      aix_devices:
        device: en4
        state: defined

    - name: Put vscsi1 and children devices in Defined state.
      aix_devices:
        device: vscsi1
        recursive: yes
        state: defined

    - name: Removes vscsi1 and children devices.
      aix_devices:
        device: vscsi1
        recursive: yes
        state: removed

    - name: Changes en1 mtu to 9000 and disables arp.
      aix_devices:
        device: en1
        attributes:
          mtu: 900
          arp: off
        state: available

    - name: Configure IP, netmask and set en1 up.
      aix_devices:
        device: en1
        attributes:
          netaddr: 192.168.0.100
          netmask: 255.255.255.0
          state: up
        state: available

    - name: Adding IP alias to en0
      aix_devices:
        device: en0
        attributes:
          alias4: 10.0.0.100,255.255.255.0
        state: available

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kairo Araujo (@kairoaraujo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.